OVH Community, votre nouvel espace communautaire.

Mettre a jour un superplan , besoin d'aide la.... ( noob inside )


OVH
20/02/2004, 19h07
L'erreur de compilation dit que le module de php4 n'est pas present. C'est dû certainnement au fait que la compilation de php4 n'a pas été correctement effectué. Vous devez donc trouver pourquoi php4 n'a pas compilé correctement.

Vous devez recommencer la compilation de php pour voir exactement le message d'erreur (probablement une lib qui n'est pas installée ? gd ? ).

Philippe
20/02/2004, 18h38
Re,

Si tu veux un coup de main faut etre BEAUCOUP plus précis sur ta machine :

cat /proc/cpuinfo
cat /proc/pci

-> Ca donne les caractéristiques matérielles

Ensuite :

/usr/local/apache/bin/httpd -l
/usr/local/apache/bin/httpd -V
/usr/local/bin/php -v

pour les infos sur Apache et PHP

Puis :

named -v

qui donne la version du DNS

commence dej par ca, après, tu en sauras plus ..

iRaZ
20/02/2004, 18h36
Non le probleme si tu savais que tu etait debutant tu aurai pas du t'aviser mais c'est normal que tu est essayer surtt que tu en avais le besoin si tu avais pas le besoin de faire la maj sa serai vraiment "con"

cub
20/02/2004, 18h34
sympa ce forum

iRaZ
20/02/2004, 18h28
Moi faire des maj alors que je connais rien un peu risquez surtt si je connais aps si c'est bon le mieux c'est d'attendre les maj auto de ovh

cub
20/02/2004, 18h26
Merci ca m'aide beaucoup.
Ca va mieux maintenant ouf je me sens mieux.

Philippe
20/02/2004, 13h59
Salut,

Si tu n'y connais rien et que tu "commences" par tout peter mal proprement, ton serveur vapas tenir bien longtemps. Pour le mettre à jour, il faut partir d'un principe : c'est simple. Après, si tu ne sais pas faire, mieux vaut laisser faire quelqu'un qui va te faire mettre la machine suffisamment propre pour que tu puisses prendre la relève.

Philippe,

cub
20/02/2004, 02h18
Salut !

J'ais un vieux superplan qui ne peut pas faire de patch all ( pas le systeme de release ).

Bon alors je précise tout de suite , j'aime bien tout ce qui est webmastering , le net , etc , mais linux , redhat , apach etc , je suis UN GROS NOOB

Alors j'ais mis les main dans le cambouie , si je peux dire lol , et j'ais fait ca :

wget ftp://ftp.ovh.net/made-in-ovh/patch/...0+php_4.2.1.sh -0 apache_1.3.26+mod_ssl-2.8.10+php_4.2.1.sh

sh apache_1.3.26+mod_ssl-2.8.10+php_4.2.1.sh

Bon voila mais ca marche pas super y a plein d'erreur a la fin :

<=== src/modules/ssl
===> src/modules/php4
make[4]: *** Pas de règle pour fabriquer la cible `all'. Arrêt.
make[3]: *** [all] Erreur 1
make[2]: *** [subdirs] Erreur 1
make[2]: Quitte le répertoire `/home/ovh/src/apache_1.3.26/src'
make[1]: *** [build-std] Erreur 2
make[1]: Quitte le répertoire `/home/ovh/src/apache_1.3.26'
make: *** [build] Erreur 2
si la compilation s'est bien passée, vous pouvez
installer cette version en production avec les
commandes suivantes:

cd /home/ovh/src/apache_1.3.26
make install
/etc/rc.d/init.d/httpd restart

puis vérifier la version actuellement en cours

/usr/local/apache/bin/httpd -v
/usr/local/bin/php -v

Je dois faire quoi la ? Pourquoi ca déconne lol


Je n'ais JAMAIS patché le server , y a t il un ordre précis si je veut tout patcher ( question conne peut etre ...)

Y a t il un moyen rapide pour tout patcher d'un coup ? ( sinon j'en ais pour la journée :-O )

Voila voila , merci pour les réponses.
@+


ps : rigoler pas trop hein